Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
dump_config Struct Reference

## Data Fields
VALUE | type
FILE * | stream
VALUE | string
const char * | root_category
VALUE | cur_obj
VALUE | cur_obj_klass
size_t | cur_obj_references
unsigned int | roots: 1
unsigned int | full_heap: 1

## Detailed Description

Definition at line 26 of file objspace_dump.c.

## Field Documentation

## ◆ cur_obj

VALUE dump_config::cur_obj

Definition at line 31 of file objspace_dump.c.

## ◆ cur_obj_klass

VALUE dump_config::cur_obj_klass

Definition at line 32 of file objspace_dump.c.

## ◆ cur_obj_references

size_t dump_config::cur_obj_references

Definition at line 33 of file objspace_dump.c.

## ◆ full_heap

unsigned int dump_config::full_heap

Definition at line 35 of file objspace_dump.c.

## ◆ root_category

const char* dump_config::root_category

Definition at line 30 of file objspace_dump.c.

## ◆ roots

unsigned int dump_config::roots

Definition at line 34 of file objspace_dump.c.

## ◆ stream

FILE* dump_config::stream

Definition at line 28 of file objspace_dump.c.

## ◆ string

VALUE dump_config::string

Definition at line 29 of file objspace_dump.c.

## ◆ type

VALUE dump_config::type

Definition at line 27 of file objspace_dump.c.

The documentation for this struct was generated from the following file:

- ext/objspace/objspace_dump.c